/*
 *  swiumtsphonebook.h
 *  swimac
 *
 *  Created by Mark de Jong on 9/25/09.
 *  Copyright 2009 Sierra Wireless, Inc. All rights reserved.
 *
 */
#ifndef __SWI_UMTS_PHONE_BOOK_H__
#define __SWI_UMTS_PHONE_BOOK_H__

#ifdef __cplusplus
extern "C"	{
#endif
	
#import "swimacrcodes.h"
#import "swimacdatatypes.h"
#import "swimacstructs.h"

#define	kPhoneBookNameMaxChars		60	// 30 unicode (2-byte) characters (old value: 16)
#define	kPhoneBookNumberMaxChars	40	// binary encoded numbers
	
	enum
	{
		PHONE_BOOK_UNAVAILABLE	= 0x00,		// phone book is NOT available
		PHONE_BOOK_AVAILABLE	= 0x01		// phone book IS available
	}; 
	
	enum
	{
		PHONE_BOOK_ENTRY_INVALID	= 0x00,		// phone book entry is NOT valid
		PHONE_BOOK_ENTRY_VALID		= 0x01		// phone book IS valid
	}; 
	
	enum
	{
		PHONE_BOOK_ADN		= 0x00,	//0x00 – ADN 
		PHONE_BOOK_FDN,				//0x01 – Reserved for FDN 
		PHONE_BOOK_LND,				//0x02 – LND 
		PHONE_BOOK_MSISDN,			//0x03 – MSISDN 
		PHONE_BOOK_LNM,				//0x04 – LNM 
		PHONE_BOOK_LNR,				//0x05 – LNR 
		PHONE_BOOK_SDN,				//0x06 – SDN
		PHONE_BOOK_CPHS_MN			//0x07 - CCPHS MN
	};
	
	enum
	{
		PHONE_BOOK_READ_NEXT_ENTRY	= 0x00,	// This will read from the first entry if no other reads have been done...
		PHONE_BOOK_READ_FROM_START	= 0x01	// read from the start of the phone book..
	};

	typedef SWI_U8 SWI_TYPE_PHONE_BOOK_ENTRY[kPhoneBookNumberMaxChars+1];	// leave room for a trailing '\0'
	

	//////////////////////////////////////////////////////////////////////////////////
	//
	// Name:        SwiPhoneBookAvailable - 
	//
	// Purpose:     This function will be used to get the phone number of the device
	//				
	//
	// Parameters:  timeout[IN]             Function timeout in milliseconds
	//
	// Return:      See SwiRcodes.h
	//
	// Notes:		
	//	
	//
	//////////////////////////////////////////////////////////////////////////////////
	SWI_RCODE SwiPhoneBookAvailable( SWI_U8 phoneBookType, SWI_U8 *bAvailable, SWI_U32 timeout );

	//////////////////////////////////////////////////////////////////////////////////
	//
	// Name:        SwiMSISDN - 
	//
	// Purpose:     This function will be used to get the phone number of the device
	//				
	//
	// Parameters:  timeout[IN]             Function timeout in milliseconds
	//
	// Return:      See SwiRcodes.h
	//
	// Notes:		
	//	
	//
	//////////////////////////////////////////////////////////////////////////////////
	SWI_RCODE SwiMSISDN(SWI_TYPE_PHONE_BOOK_ENTRY msisdn, SWI_U32 timeout );

	
#ifdef __cplusplus
}
#endif

#endif /* __SWI_UMTS_PHONE_BOOK_H__ */
